# Yaf_View_Simple::__construct

(Yaf >=1.0.0)

Yaf_View_Simple::__construct — Constructeur de la classe Yaf_View_Simple

### Description

final public Yaf_View_Simple::__construct(string `$template_dir`, array `$options` = ?)

### Liste de paramètres

`template_dir`

  Le dossier de base contenant les templates ; par défaut, c'est APPLICATION . "/views".

`options`

      Options pour le moteur, depuis Yaf 2.1.13, vous pouvez utiliser
            la balise courte "<?=$var?>" dans votre template (suivant "short_open_tag"),
            ainsi devient disponible une option nommée "short_tag", que vous pouvez
            désactiver pour ne pas utiliser short_tag dans vos templates.

### Exemples

Exemple #1 Exemple avec Yaf_View_Simple::__constructor

`<?php
define ("TEMPLATE_DIRECTORY", APPLICATOIN_PATH . '/views');
$view = new Yaf_View_Simple(TEMPLATE_DIRECTORY, array(
'short_tag' => false //N'autorise pas l'utilisation des balises courtes dans le template
));
?>`